net.i2p.util

## Interface SimpleTimer.TimedEvent

- All Known Implementing Classes:
    Connection.ConEvent, I2PSessionImpl.VerifyUsage, SessionIdleTimer, SocketTimeout
  Enclosing class:
    SimpleTimer

      public static interface SimpleTimer.TimedEvent

  Simple interface for events to be queued up and notified on expiration

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `timeReached()` the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

- - ### Method Detail

    - #### timeReached

          void timeReached()

      the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)